#ifndef FLAPPY_BIRD
#define FLAPPY_BIRD

#include <display_syscalls.h>
#include <system.h> // pour OS_InnerWait_ms
#include "overclock.h"
#include "graphics.h"
#include "key.h"
#include "rand.h"
#include "sprite.h"
#include "save.h"

#define SCREEN_LARGEUR 300
#define DECALAGE_SCREEN 42
#define NOMBRE_TUBE 5
#define DECALAGE 100

#define Sleep(x) OS_InnerWait_ms(x)

#define VIEW 0
#define MAKE 1

// modèle detector

#define P10CR 0xA4050140
#define P11CR (P10CR+2)
#define P11DR (P11CR+0x20)
#define CALCULATRICE 0
#define EMULATEUR 1

const unsigned char table[]={0, 1, 2, 1};

#endif //FLAPPY_BIRD